<script>
    import {loggedIn} from "../stores";

    async function login(e) {
        const data = {};
        let authUrl = 'http://localhost:8081/api/v1/cars/';
        const formData = new FormData(e.target);
        for (let field of formData) {
            const [key, value] = field;
            data[key] = value;
        }

        const response = await fetch(authUrl, {method: 'GET',
            credentials: 'include',
            headers: {'Authorization': 'Basic ' + btoa(data['name']+':'+data['password'])}});
        if (response.status == 200) {
            loggedIn.set(true);
            console.log($loggedIn);
        }
        else {
            alert('Wrong Credentials!');
        }
        console.log(response);
    }
</script>

<div class="panel neutral">
<form on:submit|preventDefault={login}>
        <label for="name" class="block">User</label>
        <input id="name" name="name">
        <label for="password" class="block">Password</label>
        <input type="password" id="password" name="password">
    <button type="submit" class="btn btn-primary">Login</button>
</form>
</div>